mb_detect_encoding is required (PHP version)

Posted by on Mar 21, 2011 in How To, Troubleshooting

Problem:
When installing the PHP version of Fast Secure Contact Form you may get an error:
Fatal error: Call to undefined function mb_detect_encoding()

Solution:
If you get this error, your PHP web server is lacking support for the function: mb_detect_encoding.

I have updated the installer download, it will now show you a message instead stopping at the error
http://www.fastsecurecontactform.com/download-php-script

If using the latest installer, you can ignore this warning if you are only going to use the en_US language.
In order to use languages other than en_US, you will have to add the mbstring extension to PHP.
http://www.php.net/manual/en/mbstring.installation.php

Do you need help?

Send us a Donation:

Donate to Mike Challis